| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | Kevin114514 | 3659 |
| 3 | jiangly | 3640 |
| 4 | turmax | 3450 |
| 5 | tourist | 3408 |
| 6 | strapple | 3360 |
| 7 | Um_nik | 3354 |
| 8 | squareOf105 | 3348 |
| 9 | maroonrk | 3312 |
| 10 | idontwannadothis…e | 3191 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 155 |
| 2 | nik_exists | 151 |
| 3 | maspy | 149 |
| 4 | AmShZ | 145 |
| 5 | Um_nik | 143 |
| 6 | Errichto | 139 |
| 7 | BledDest | 136 |
| 8 | adamant | 135 |
| 9 | maroonrk | 133 |
| 10 | cry | 130 |
|
+13
halohalo was the third member |
|
+40
Sure, i like them too. They can have the luck. sqrtdecompton Can have the fun |
|
+24
glhf to all teams. But mostly to MIT and sqrtdecompton |
|
0
Go to this link, and select 2019-2020 year. The teams in the Invitational Teams section are those not attending the onsite. Unfortunately, it looks like a few of the top teams won't be attending :( |
|
+51
sqrtdecompton, I think the obvious solution is to clone yourself and train for all possible formats of the contest |
|
0
You have an array, $$$A$$$, of size $$$N$$$, with each number being somewhere from 1 to $$$S$$$. Define a new array $$$B$$$, where $$$B[k] =$$$ the number of $$$i$$$ such that $$$A[i] \leq k$$$ (how many numbers in $$$A$$$ are less than $$$k$$$. Answer $$$Q$$$ queries, where each query is asking for a given $$$x$$$, how many $$$k$$$ such that $$$B[k] \leq x$$$ (how many numbers in $$$B$$$ are less than $$$x$$$). I've just translated the problem into notation, not sure how else to explain it, does that make sense? |
|
0
Auto comment: topic has been updated by I_love_sqrtdecompton (previous revision, new revision, compare). |
|
+17
Good catch, thanks! Added. |
|
+6
Auto comment: topic has been updated by I_love_sqrtdecompton (previous revision, new revision, compare). |
|
+24
Stanford Cardinal is miagkov, _iris_, and I_love_sqrtdecompton |
|
+9
Another one: 102859336 Submitted just 4 minutes after E, and in the last minute... Very interesting |
|
+8
Did anyone find a solution to the registration time window problem? Or does anyone know a workaround? |
|
+46
Your addictiveness is $$$\Omega(n^2)$$$ <3 |
|
+6
He works at Facebook. Employees are not able to compete, similar to the policy for GCJ |
|
0
+1 SecondThread couldn't make the stream would still love to check it out |
|
-34
What would TLE mean here? Bc what if my solution is actually supposed to take approx 3 minutes (bc my mind is small and I can't come up w/ intended solution). Then how do I like avoid the TLE verdict. Also maybe some progress bar showing time left on cases would be good (if we're submitting to online instead of local). Finally, maybe don't include AC or WA. Only the other answers, bc well that's another added layer abt this contest -- we don't know if sol is correct till grading. Tagging Errichto, eduardische, and ffao from above thread for their much greater experience than mine. |
|
On
Qualified →
How would you test your solution if it gets a WA on a really large test?, 6 years ago
+18
If you don't want to spend time on things, do something easier -- like drinking a soda |
|
+48
This actually makes negative sense. I might have just lost brain cells |
|
0
Auto comment: topic has been updated by I_love_sqrtdecompton (previous revision, new revision, compare). |
|
0
Good luck to all teams. Is there a scoreboard? |
|
+17
Then don't watch...?? |
|
+20
From the PacNW Stanford Cardinal: andyshih12 miagkov helios1111 |
|
+8
|
|
+15
Is there judge data available anywhere? |
|
+1
I would say the Dell XPS is probably the best laptop at it's price range. My friends and I all have this laptop and we couldn't be more happy. This laptop gives you all the computing power you need at not too high of a price. It's only 1.8 Kg too, with a great battery life. I personally don't like touchscreen and think it's not needed for a laptop. However, if you do like to write on laptops you should probably think about getting a 2 in 1 tablet, so you can write easily. |
|
+36
orz is a person bowing down on the ground. If you look carefully and squint your eyes you can see it. The "z" is the legs, the "r" is the body, and the "o" is the head |
|
0
Total points scored. The sum of the four team members total points, rounded down. |
|
+10
|
|
0
If there are $$$O(n^2)$$$ variables, why is complexity $$$O(n^4)$$$ and not $$$O((n^2)^3)$$$ or $$$O(n^6)$$$? |
|
On
cdkrot →
Codeforces Round #545 (Div.1, Div.2, based on Moscow Open Olympiad in Informatics), 8 years ago
0
Is it just some nasty casework? |
|
On
cdkrot →
Codeforces Round #545 (Div.1, Div.2, based on Moscow Open Olympiad in Informatics), 8 years ago
+1
How do you do Div. 2 B? :O |
|
+3
There is a solution that uses a Fenwick Tree. I'm tagging the problem author if you want to hear all the solutions he's thought of :) peach |
|
+3
Thanks |
|
0
I did bin search on the index, then nlogn (sweep + binsearch) for nlog^2n sol which passed everything. It didn't take me that long. How did you do O(n) check? |
|
+3
How do you make sure the second rectangle you find doesn't overlap with the first? |
|
0
The code is included in that post |
|
+5
|
|
0
Also, October 7th is not a Saturday. It's a Sunday |
|
+103
sqrtdecompton care to comment on this thought? ;) |
|
+1
Doubles become inaccurate after about 15 digits. If you wanted to use doubles you can use BigDecimal in Java for more precision! |
|
+1
A 12th gets gold, a 6th gets silver, a 4th gets bronze. So I think there are 340 participants so about 28 gold, 56 silver, and 85 bronze, as Fayaz pointed out |
|
+15
The scoreboard is updated with day 2 tasks! |
|
+22
It's back up now! |
|
+3
Is there some place I can access the data to debug? |
|
+44
Don't sleep on sqrtdecompton ;) Best of luck to all participants and especially team USA! |
|
+34
I know. I just thought it would be convenient for rng_58 to handle both things in one post :) |
|
+24
Also might as well point out that the GP30 scores haven't been updated for AGC26 (I think) rng_58. |
|
0
I meant the binary representation in the queried numbers, this should help you with the first part of your question. For the second part does the fact that 2^i= 2^(i-1)+2^(i-1) help you get further? |
|
0
This might be a useful hint. Think about the binary representation of numbers |
|
+10
I hope not, because I did that but got WA on pretest 9 :( RIP forgot to cast to a long |
|
+17
Also, is Jacob from Google? Does this mean Kaizero is actually lucky?! :O |
|
+23
It's interesting that they removed the policy of the previous year's world champ, and the other 25 highest scores advance to finals. Most unfortunate for Kaizero I suppose :/ |
|
-9
Oh true. I completely misread the question. Oops |
|
-48
|
|
+18
I think mine is self explanatory. Perhaps sqrtdecompton should share his story ;) |
|
0
Here's my Java solution for reference as well. |
|
+11
When "i" is an int, the calculation "i*i" will result in an overflow, producing a negative number, which will always be less than "n". It gets TLE because of the infinite loop... |
|
0
Floating point could be a possibility. Though this problem can be solved without doubles... Use distance squared and something like cross product to test collinearity. |
|
+24
The time penalty is calculated from the time of the last successful submission so it doesn't really matter the order he submits in. For all we know he could have solved A and C already and just not submitted yet... He may also be pursuing a strategy similar to the one he discussed in his most recent blog post as solving several problems at the same time helps him think... I wouldn't be to sure to judge his success in this contest from such a preliminary scoreboard. |
|
+20
A binary search isn't even necessary. We can just precomp all of the perfect cubes up to 10^18 (there are only 10^6 of them) and store them in a hashset or set. Depending on languages queries will be O(1). Easier to implement too :) |
|
+4
Now it's ok. The reason why that case is "undefined" is because you can start at position "^" and end at position "v" in 6 moves going either counterclockwise or clockwise. Therefore we don't know which direction was actually chosen... and it's "undefined" |
|
+29
Don't discuss problems during an active contest! |
|
0
Hmmm, I'm not sure why it's not working for you. Perhaps try using a different internet browser. I'm currently using chrome... |
|
+19
|
|
0
Try using a faster output method. Such as Java's PrintWriter |
|
0
I submitted your code using GNU C++11, and it was accepted. I don't use C++ normally so I'm not sure why. I hope this helps you discover the problem. |
|
+14
The worst case sort for Arrays.sort() of a primitive data type is O(n^2) i believe. Try changing your array type to Integer and use Arrays.sort(). That might give you Accepted. |
|
0
Check out this Code if you still need help. |
|
0
I was going to say exactly what Neko29 said. You can also try using this method to count the number of 1 bits: unsigned int countSetBits(unsigned int n) { unsigned int count = 0; while(n) { count += n & 1; n >>= 1; } return count; } |
|
0
Can you add a link to your submission? |
|
0
I also think its because the solutions to the test cases were explained clearly. Also most tricky cases seemed to be given there too. |
| Name |
|---|


